/*********************************************************************/
/* Copyright (C) 2008  Politecnico di Torino

Authors: Maurizio Munafo', Marco Mellia, Richard Lobb, Gloria Bogliolo, 
/*********************************************************************/
/* Copyright (C) 2008  Politecnico di Torino

Authors:    Maurizio Munafo', Marco Mellia, Gloria Bogliolo, 
Ana Paula Couto, Richard Lobb
Telecomunication Networks Group
Politecnico di Torino
Torino, Italy
mellia@mail.tlc.polito.it, anapaula@tlc.polito.it

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
/*********************************************************************/

/*! @file
Defines the AS_AWARE subclass of the Peer class.
*/

#ifndef _AS_AWARE_PEER_H_
#define _AS_AWARE_PEER_H_

#include "types.h"
#include "peer.h"

//============================== AS_AWARE ======================
// AS_AWARE peer.
class ASAwarePeer : public Peer
{
public:
	ASAwarePeer(
		Bandwidth upload_bandwidth,		///< The upload_bandwidth of the peer
		Bandwidth download_bandwidth,	///< The download_bandwidth of the peer
		size_t peer_class				///< The bandwidth class of the peer
	) : Peer() {}
	virtual void schedule_new_chunk();
};

#endif //_AS_AWARE_PEER_H_
