#ifndef _PATH_H_
#define _PATH_H_

/// A Path is loosely-equivalent to a socket in that it defines
/// an end-to-end route for chunks through the various layers of the network.
#include "types.h"
#include "peer.h"

struct Path {
	PPeer from;
	PPeer to;
	Path(PPeer from, PPeer to) : from(from), to(to) {};
};

#endif
