// A version of assert that can be left enabled in a release version.

#ifndef _MY_ASSERT_H_
#define _MY_ASSERT_H_

#include "myassert.h"
#include "misc.h"

#ifdef MY_ASSERTS

inline void myassert (bool expression, char* message) { 
	if (!expression) {
		fatal(message);
	}
}

#else

#define myassert(expression, message)     ((void)0)

#endif

#endif
